<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Tue May 07 14:16:39 CEST 2024 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-07">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../fr/ici/buildingActivity/minister/School.html" class="type-name-link" title="class in fr.ici.buildingActivity.minister">School</a> - Class in <a href="../fr/ici/buildingActivity/minister/package-summary.html">fr.ici.buildingActivity.minister</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/School.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,int,double,java.lang.String,java.lang.String,java.lang.String,boolean,org.locationtech.jts.geom.Point)" class="member-name-link">School(String, String, String, String, String, String, String, String, String, String, String, String, int, int, double, String, String, String, boolean, Point)</a> - Constructor for class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/School.html" title="class in fr.ici.buildingActivity.minister">School</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingUtil.html#selectIntersectMost(java.util.List,org.locationtech.jts.geom.Geometry)" class="member-name-link">selectIntersectMost(List&lt;? extends Building&gt;, Geometry)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingUtil.html" title="class in fr.ici.buildingActivity.building">BuildingUtil</a></dt>
<dd>
<div class="block">Make the intersection but for overlapping object, check if they are mostly included in the geometry (more than 50% of their footprint are inside geometry) or not</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/address/AddressUtil.html#separateTypeRoadFromNameRoad(java.lang.String)" class="member-name-link">separateTypeRoadFromNameRoad(String)</a> - Static method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/AddressUtil.html" title="class in fr.ici.buildingActivity.address">AddressUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#setActivity(java.lang.String)" class="member-name-link">setActivity(String)</a> - Method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#setArea(double)" class="member-name-link">setArea(double)</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingSimple.html#setFunctionalRatio(float)" class="member-name-link">setFunctionalRatio(float)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingSimple.html" title="class in fr.ici.buildingActivity.building">BuildingSimple</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/housing/HousingTools.html#setGenerationMethod(java.lang.String)" class="member-name-link">setGenerationMethod(String)</a> - Static method in class fr.ici.buildingActivity.housing.<a href="../fr/ici/buildingActivity/housing/HousingTools.html" title="class in fr.ici.buildingActivity.housing">HousingTools</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#setHasLocal(boolean)" class="member-name-link">setHasLocal(boolean)</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/address/Address.html#setIDsBuilding(java.util.List)" class="member-name-link">setIDsBuilding(List&lt;String&gt;)</a> - Method in class fr.ici.buildingActivity.address.<a href="../fr/ici/buildingActivity/address/Address.html" title="class in fr.ici.buildingActivity.address">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#setLocalProbability(float)" class="member-name-link">setLocalProbability(float)</a> - Method in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>
<div class="block">Set a new probability for the POI to have a dedicated local and sample if it has a local or not</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/Building.html#setNbPOI(int)" class="member-name-link">setNbPOI(int)</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/BPEUtil.html#setNomenclatureFile()" class="member-name-link">setNomenclatureFile()</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/BPEUtil.html" title="class in fr.ici.buildingActivity.insee">BPEUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/local/paris/APURUtil.html#setNomenclatureFile()" class="member-name-link">setNomenclatureFile()</a> - Static method in class fr.ici.buildingActivity.local.paris.<a href="../fr/ici/buildingActivity/local/paris/APURUtil.html" title="class in fr.ici.buildingActivity.local.paris">APURUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/osm/OSMUtil.html#setNomenclatureFile()" class="member-name-link">setNomenclatureFile()</a> - Static method in class fr.ici.buildingActivity.osm.<a href="../fr/ici/buildingActivity/osm/OSMUtil.html" title="class in fr.ici.buildingActivity.osm">OSMUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html#setNomenclatureFileNaf1993()" class="member-name-link">setNomenclatureFileNaf1993()</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html#setNomenclatureFileNafRev1()" class="member-name-link">setNomenclatureFileNafRev1()</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html#setNomenclatureFileNafRev2()" class="member-name-link">setNomenclatureFileNafRev2()</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html#setNomenclatureFileNAP()" class="member-name-link">setNomenclatureFileNAP()</a> - Static method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/building/Building.html#setProfessionalArea(float)" class="member-name-link">setProfessionalArea(float)</a> - Method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/Building.html" title="class in fr.ici.buildingActivity.building">Building</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#setTypeSource(java.lang.String)" class="member-name-link">setTypeSource(String)</a> - Method in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneImport.html" class="type-name-link" title="class in fr.ici.buildingActivity.insee">SireneImport</a> - Class in <a href="../fr/ici/buildingActivity/insee/package-summary.html">fr.ici.buildingActivity.insee</a></dt>
<dd>
<div class="block">Method used to import <a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee"><code>SirenePOI</code></a> from a database.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneImport.html#%3Cinit%3E()" class="member-name-link">SireneImport()</a> - Constructor for class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneImport.html" title="class in fr.ici.buildingActivity.insee">SireneImport</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html" class="type-name-link" title="class in fr.ici.buildingActivity.insee">SirenePOI</a> - Class in <a href="../fr/ici/buildingActivity/insee/package-summary.html">fr.ici.buildingActivity.insee</a></dt>
<dd>
<div class="block">Object for a Point Of Interest extracted from the SIRENE database</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String%5B%5D,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)" class="member-name-link">SirenePOI(String, String, String, String, String, String, String, String, String, String[], String, String, Point)</a> - Constructor for class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>
<div class="block">Constructor to create POI with geometry</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,float,java.lang.String,java.lang.String,boolean,boolean,org.locationtech.jts.geom.Point)" class="member-name-link">SirenePOI(String, String, String, String, String, String, String, String, String, String, String, String, String, String, String, String, float, String, String, boolean, boolean, Point)</a> - Constructor for class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>
<div class="block">Constructor to import POI</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html" class="type-name-link" title="class in fr.ici.buildingActivity.insee">SireneUtil</a> - Class in <a href="../fr/ici/buildingActivity/insee/package-summary.html">fr.ici.buildingActivity.insee</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SireneUtil.html#%3Cinit%3E()" class="member-name-link">SireneUtil()</a> - Constructor for class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SireneUtil.html" title="class in fr.ici.buildingActivity.insee">SireneUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#siret" class="member-name-link">siret</a> - Variable in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/local/paris/APURUtil.html#sort(java.io.File,java.io.File,java.io.File)" class="member-name-link">sort(File, File, File)</a> - Static method in class fr.ici.buildingActivity.local.paris.<a href="../fr/ici/buildingActivity/local/paris/APURUtil.html" title="class in fr.ici.buildingActivity.local.paris">APURUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/insee/SirenePOI.html#sorting" class="member-name-link">sorting</a> - Variable in class fr.ici.buildingActivity.insee.<a href="../fr/ici/buildingActivity/insee/SirenePOI.html" title="class in fr.ici.buildingActivity.insee">SirenePOI</a></dt>
<dd>
<div class="block">Table containing result of a search in the nomenclature.</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/building/BuildingUtil.html#sortListBuildingWithRatioHousingPerSurface(java.util.List)" class="member-name-link">sortListBuildingWithRatioHousingPerSurface(List&lt;? extends Building&gt;)</a> - Static method in class fr.ici.buildingActivity.building.<a href="../fr/ici/buildingActivity/building/BuildingUtil.html" title="class in fr.ici.buildingActivity.building">BuildingUtil</a></dt>
<dd>
<div class="block">Sort a building collection by the ratio of housing unit per surface</div>
</dd>
<dt><a href="../fr/ici/buildingActivity/poi/POI.html#strategyGenerationValue" class="member-name-link">strategyGenerationValue</a> - Static variable in class fr.ici.buildingActivity.poi.<a href="../fr/ici/buildingActivity/poi/POI.html" title="class in fr.ici.buildingActivity.poi">POI</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/bnb/GetBNBData.html#sumAttributes(org.opengis.feature.simple.SimpleFeature)" class="member-name-link">sumAttributes(SimpleFeature)</a> - Static method in class fr.ici.buildingActivity.bnb.<a href="../fr/ici/buildingActivity/bnb/GetBNBData.html" title="class in fr.ici.buildingActivity.bnb">GetBNBData</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html" class="type-name-link" title="class in fr.ici.buildingActivity.minister">SuperiorEducation</a> - Class in <a href="../fr/ici/buildingActivity/minister/package-summary.html">fr.ici.buildingActivity.minister</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,float,org.locationtech.jts.geom.Point,int)" class="member-name-link">SuperiorEducation(String, String, String, String, String, String, String, String, String, String, int, float, Point, int)</a> - Constructor for class fr.ici.buildingActivity.minister.<a href="../fr/ici/buildingActivity/minister/SuperiorEducation.html" title="class in fr.ici.buildingActivity.minister">SuperiorEducation</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
